page_title: About Grafana
page_description: Introduction to Grafana.
page_keywords: grafana, introduction, documentation, about

# About Grafana

Grafana is a general purpose dashboard and graph composer. It's focused on providing
rich ways to visualize time series metrics, mainly though graphs but supports other ways to visualize data through
a pluggable panel architecture. It currently has rich support for [Graphite](http://graphite.readthedocs.org/en/latest/),
[InfluxDB](http://influxdb.org) and [OpenTSDB](http://opentsdb.net). But supports other data sources via plugins.

It is most commonly used for infrastructure monitoring, application monitoring and metric analytics. But Grafana
has an open architecture and design that enables it to be used in other domains as well, like home automation,
weather and industrial sensors analytics.

## Support

If you have any trouble with Grafana, either the install or some feature you do not understand or you suspect isn't working
correctly there are a number of sources where you can get help.

- [Troubleshooting guide](../troubleshooting)
- \#grafana IRC channel on freenode
- Search closed and open [issues on github](https://github.com/grafana/grafana/issues)
- [Mailing list](https://groups.io/org/groupsio/grafana)

Do not hesitate to open a new issue with a question, bug report or an idea for improvement.

User feedback and involvement is paramount to making a product better so please take the time and create an issue.

## Paid support
If you wish to get paid support please [contact us](mailto:contact@grafana.org).

## License

Grafana is licensed under Apache 2.0. See [LICENSE](https://github.com/grafana/grafana/blob/master/LICENSE.mdhttps://github.com/grafana/grafana/blob/master/LICENSE.md)
for full license text.


